<?php
/**
 * @package linea21.modules
 * @subpackage content
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 * 'Content' module is used by 'Publication' and 'Workshop' modules
 */

//////////// Check Inclusion de pages ////////////
if (!function_exists('AuthenthificationProcess')) {
    include_once("../lib/lib_common.php");
    ReloadIndex('admin');
} 
////////////

include_once("../lib/lib_common.php");
$complete_type=strtoupper($mod_inc);

if(isset($_POST['id']))	$id=$_POST['id'];
if(isset($_GET['id']))	$id=$_GET['id'];

if(isset($_POST['valider'])) {
	$contents_object = new contents;
	$result=$contents_object->DeleteContents($id, $complete_type,$sql_object);

	$link_confirm="confirm.php?rub=".$rub."&todo=".$todo."&type=".$type."&id=".$parent;
	if($result) header("Location: ".$link_confirm);
	else  system_error();
}

if($type=='P') {
	$requete= SQL_getPublicationTitle($parent);
	$result=$sql_object->DBSelect($requete);
	$current_title=FormatText($result[0]['publi_title']);
	$current_owner=$result[0]['publi_posted_by'];
	
	//////////// Check Droits utilisateur ////////////
	if (!HaveRight('publication')) ReloadIndex('admin');
	if (GetSessionElement('id')!=$current_owner && !IsSuperAdmin()) ReloadIndex('admin');
	///////////
	
	$requete= SQL_getOnePublicationParts($id);
	$result=$sql_object->DBSelect($requete);
	$current_part=FormatText($result[0]['publicon_title'], '2HTML');
}
if($type=='W') {
	$requete= SQL_getWorkshopRepTitleAndGroup($parent);
	$result=$sql_object->DBSelect($requete);
	$current_title=FormatText($result[0]['workrep_title']).' ('.FormatText($result[0]['workshop_denomination']).')';
	$current_workshop_id=$result[0]['workrep_workshop_id'];
	
	//////////// Check Droits utilisateur ////////////
	if (!HaveRight('workshop')) ReloadIndex('admin');
	if (!AuthUser4Workshop($current_workshop_id, $sql_object) && !IsSuperAdmin()) ReloadIndex('admin');
	///////////
	
	$requete= SQL_getOneWorkshopParts($id);
	$result=$sql_object->DBSelect($requete);
	$current_part=FormatText($result[0]['workrepcon_title'], '2HTML');
}
?>
<div id="chemin">
	<ul>
		<li>
			<a href="index.php"><? echo $GLOBALS['lang']['way']['home']; ?></a>
		</li>
		<li>
			<a href="<?php echo $rub_link; ?>"><? echo $GLOBALS['lang']['menu'][$mod_inc]; ?></a>
		</li>
		<li>
			<span><? echo formatNavTitle($GLOBALS['lang']['contents'][$mod_inc.'_type']." : ". $current_title); ?></span>
		</li>
	</ul>
</div>
<!--end barre haute -->
<?php
include_once("quickicons.php");
?>
<div class="contentcontainer">
<?php
include_once($dir."/menurub.php");
?>
<div id="content">
<? echo "<h2>". formatTitleh2($current_title)."</h2>"; ?>
<form id="suptheme" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
<p class="info">
<?php 
echo $GLOBALS['lang']['contents']['supp_info']."'".$current_part."'\n";
?>
</p>
<p><?php echo $GLOBALS['lang']['divers']['sup_confirm']; ?></p>
<div>
<input name="id" type="hidden" value="<?php echo $id; ?>" />
<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
<input name="type" type="hidden" value="<?php echo $type; ?>" id="type" />
<input name="parent" type="hidden" value="<?php echo $parent; ?>" id="parent" />
<?php echo cancel_button($cancel_link); ?>
<input name="valider" type="submit" value="<? echo $GLOBALS['lang']['btn']['valid'] ?>" class="button" id="valider" />
</div>
</form>
</div>
<?php include_once($dir."/help.php"); ?>
</div>
